<?php
// Databazes savienojuma detaļas
$servername = "109.106.254.1";
$username = "u353443769_beis";
$password = 'Te$t@dm1n';
$database = "u353443769_beis";

// Izveido savienojumu
$conn = new mysqli($servername, $username, $password, $database);

// Pārbauda savienojumu
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Sāciet vai atsāciet sesiju
session_start();

// Apstrādāt pieteikšanos
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Parbaudīt lietotāja ievades, drošībai
    $email = $conn->real_escape_string($_POST['email']);
    $password = $conn->real_escape_string($_POST['password']);

    // Atrod lietotāja dates no databāzes
    $sql = "SELECT * FROM pav_gra_lietotaji WHERE l_email='$email' AND l_password='$password'";
    $result = $conn->query($sql);

    if ($result->num_rows == 1) {
        // Lietotājs ir atrasts, iegūt autor un autorid
        $row = $result->fetch_assoc();
        $autor = $row['l_name'];
        $autorid = $row['l_id'];

        // Beidz iepriekšējo sesiju, ja tāda ir
        session_unset();
        session_destroy();

        // Sāc jaunu sesiju
        session_start();

        // Saglaba autoru un autora id jaunā sesijā
        $_SESSION['autor'] = $autor;
        $_SESSION['autorid'] = $autorid;

        // Nosutīt uz galveno lapu
        header("Location: ../main.html");
        exit();
    } else {
        // Lietotājs nav atrasts vai ir nepareizi dati
        echo "Nepareizs e-pasts vai parole";
        echo '<form action="../Login.html"><button type="submit">Mēģiniet vēlreiz</button></form>';
    }
}
// Beidz savienojumu
$conn->close();
?>